org.bdgenomics.adam.rdd.contig

# NucleotideContigFragmentRDDFunctions

#### class NucleotideContigFragmentRDDFunctions extends ADAMSequenceDictionaryRDDAggregator[NucleotideContigFragment]

Linear Supertypes
ADAMSequenceDictionaryRDDAggregator[NucleotideContigFragment], Logging, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NucleotideContigFragmentRDDFunctions
2. ADAMSequenceDictionaryRDDAggregator
3. Logging
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NucleotideContigFragmentRDDFunctions(rdd: RDD[NucleotideContigFragment])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def adamGetReferenceString(region: ReferenceRegion): String

   From a set of contigs, returns the base sequence that corresponds to a region of the reference.

   From a set of contigs, returns the base sequence that corresponds to a region of the reference.

   region

     Reference region over which to get sequence.

   returns

     String of bases corresponding to reference sequence.

   Exceptions thrown
     UnsupportedOperationException

     Throws exception if query region is not found.

7. #### def adamGetSequenceDictionary(performLexSort: Boolean = false): SequenceDictionary

   Aggregates together a sequence dictionary from the different individual reference sequences used in this dataset.

   Aggregates together a sequence dictionary from the different individual reference sequences used in this dataset.

   returns

     A sequence dictionary describing the reference contigs in this dataset.

   Definition Classes
     ADAMSequenceDictionaryRDDAggregator

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def countKmers(kmerLength: Int, optSd: Option[SequenceDictionary] = None): RDD[(String, Long)]

    Counts the k-mers contained in a FASTA contig.

    Counts the k-mers contained in a FASTA contig.

    kmerLength

      The length of k-mers to count.

    optSd

      An optional sequence dictionary. If none is provided, we recompute the sequence dictionary on the fly. Default is None.

    returns

      Returns an RDD containing k-mer/count pairs.

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def flankAdjacentFragments(flankLength: Int, optSd: Option[SequenceDictionary] = None): RDD[NucleotideContigFragment]

    For all adjacent records in the RDD, we extend the records so that the adjacent records now overlap by _n_ bases, where _n_ is the flank length.

    For all adjacent records in the RDD, we extend the records so that the adjacent records now overlap by _n_ bases, where _n_ is the flank length.

    flankLength

      The length to extend adjacent records by.

    optSd

      An optional sequence dictionary. If none is provided, we recompute the sequence dictionary on the fly. Default is None.

    returns

      Returns the RDD, with all adjacent fragments extended with flanking sequence.

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getSequenceRecordsFromElement(elem: NucleotideContigFragment): Set[SequenceRecord]

    For a single RDD element, returns 0+ sequence record elements.

    For a single RDD element, returns 0+ sequence record elements.

    elem

      Element from which to extract sequence records.

    returns

      A seq of sequence records.

    Definition Classes
      NucleotideContigFragmentRDDFunctions → ADAMSequenceDictionaryRDDAggregator

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

20. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### def mergeFragments(): RDD[NucleotideContigFragment]

    Merge fragments by contig name.

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def saveAsFasta(fileName: String, lineWidth: Int = 60): Unit

    Save nucleotide contig fragments in FASTA format.

    Save nucleotide contig fragments in FASTA format.

    fileName

      file name

    lineWidth

      hard wrap FASTA formatted sequence at line width, default 60

37. #### lazy val sc: SparkContext

    Definition Classes
      ADAMSequenceDictionaryRDDAggregator

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toReads(): RDD[AlignmentRecord]

    Converts an RDD of nucleotide contig fragments into reads.

    Converts an RDD of nucleotide contig fragments into reads. Adjacent contig fragments are combined.

    returns

      Returns an RDD of reads.

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ADAMSequenceDictionaryRDDAggregator[NucleotideContigFragment]

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped